package Log::Log4perl::Catalyst::ButMaintained;
# ABSTRACT: sad https://github.com/mschilli/log4perl/pull/51
$Log::Log4perl::Catalyst::ButMaintained::VERSION = '0.201409072';
use strict;
use warnings;
use base qw(Log::Log4perl::Catalyst);

##################################################
sub _flush {
##################################################
    my ($self) = @_;

    for my $appender (values %Log::Log4perl::Logger::APPENDER_BY_NAME) {
        next if $appender->{name} !~ /_$Log::Log4perl::Catalyst::CATALYST_APPENDER_SUFFIX$/;

        if ($self->abort) {
            $appender->{appender}{buffer} = [];
        }
        else {
            $appender->flush();
        }
    }

    $self->abort(undef);
}

##################################################
sub abort {
##################################################
    my $self = shift;

    $self->{abort} = $_[0] if @_;

    return $self->{abort};
}

1;

__END__

=pod

=head1 NAME

Log::Log4perl::Catalyst::ButMaintained - sad https://github.com/mschilli/log4perl/pull/51

=head1 VERSION

version 0.201409072

=head1 AUTHOR

Tomohiro Hosaka <bokutin@bokut.in>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2014 by Tomohiro Hosaka.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
